Package org.eclipse.emf.compare.utils

# Class DelegatingURIConverter

java.lang.Object
org.eclipse.emf.ecore.resource.impl.ExtensibleURIConverterImpl
org.eclipse.emf.compare.utils.DelegatingURIConverter

All Implemented Interfaces:
  `URIConverter`

Direct Known Subclasses:
  `StorageURIConverter`

public class DelegatingURIConverter extends ExtensibleURIConverterImpl
This implementation of an `URI Converter` will delegate all calls to another.

Since:
  1.3

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.resource.impl.ExtensibleURIConverterImpl

`ExtensibleURIConverterImpl.ContentHandlerList, ExtensibleURIConverterImpl.URIHandlerList, ExtensibleURIConverterImpl.URIMap`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.resource.URIConverter

`URIConverter.Cipher, URIConverter.Loadable, URIConverter.Readable, URIConverter.ReadableInputStream, URIConverter.Saveable, URIConverter.Writeable, URIConverter.WriteableOutputStream`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.resource.impl.ExtensibleURIConverterImpl

`contentHandlers, uriHandlers, uriMap`

### Fields inherited from interface org.eclipse.emf.ecore.resource.URIConverter

`ATTRIBUTE_ARCHIVE, ATTRIBUTE_DIRECTORY, ATTRIBUTE_EXECUTABLE, ATTRIBUTE_HIDDEN, ATTRIBUTE_LENGTH, ATTRIBUTE_READ_ONLY, ATTRIBUTE_TIME_STAMP, INSTANCE, NULL_TIME_STAMP, OPTION_REQUESTED_ATTRIBUTES, OPTION_RESPONSE, OPTION_TIMEOUT, OPTION_URI_CONVERTER, RESPONSE_TIME_STAMP_PROPERTY, RESPONSE_URI, URI_MAP`

## Constructor Summary

Constructors
Constructor
Description
`DelegatingURIConverter(URIConverter delegateURIConverter)`
Instantiates our `URIConverter` given its delegate.

## Method Summary

Modifier and Type
Method
Description
`Map<String,?>`
`contentDescription(URI uri, Map<?,?> options)`
`InputStream`
`createInputStream(URI uri, Map<?,?> options)`
`OutputStream`
`createOutputStream(URI uri, Map<?,?> options)`
`void`
`delete(URI uri, Map<?,?> options)`
`boolean`
`exists(URI uri, Map<?,?> options)`
`Map<String,?>`
`getAttributes(URI uri, Map<?,?> options)`
`EList<ContentHandler>`
`getContentHandlers()`
`URIHandler`
`getURIHandler(URI uri)`
`EList<URIHandler>`
`getURIHandlers()`
`Map<URI,URI>`
`getURIMap()`
`URI`
`normalize(URI uri)`
`void`
`setAttributes(URI uri, Map<String,?> attributes, Map<?,?> options)`

### Methods inherited from class org.eclipse.emf.ecore.resource.impl.ExtensibleURIConverterImpl

`createInputStream, createOutputStream, getInternalURIMap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DelegatingURIConverter

public DelegatingURIConverter(URIConverter delegateURIConverter)
Instantiates our `URIConverter` given its delegate.

Parameters:
  `delegateURIConverter` - Our delegate `URIConverter`.

## Method Details

### contentDescription

public Map<String,?> contentDescription(URI uri, Map<?,?> options) throws IOException

Specified by:
  `contentDescription` in interface `URIConverter`
Overrides:
  `contentDescription` in class `ExtensibleURIConverterImpl`
Throws:
  `IOException`
See Also:
  - `URIConverter.contentDescription(org.eclipse.emf.common.util.URI, java.util.Map)`

### createInputStream

public InputStream createInputStream(URI uri, Map<?,?> options) throws IOException

Specified by:
  `createInputStream` in interface `URIConverter`
Overrides:
  `createInputStream` in class `ExtensibleURIConverterImpl`
Throws:
  `IOException`
See Also:
  - `URIConverter.createInputStream(org.eclipse.emf.common.util.URI, java.util.Map)`

### createOutputStream

public OutputStream createOutputStream(URI uri, Map<?,?> options) throws IOException

Specified by:
  `createOutputStream` in interface `URIConverter`
Overrides:
  `createOutputStream` in class `ExtensibleURIConverterImpl`
Throws:
  `IOException`
See Also:
  - `URIConverter.createOutputStream(org.eclipse.emf.common.util.URI, java.util.Map)`

### delete

public void delete(URI uri, Map<?,?> options) throws IOException

Specified by:
  `delete` in interface `URIConverter`
Overrides:
  `delete` in class `ExtensibleURIConverterImpl`
Throws:
  `IOException`
See Also:
  - `URIConverter.delete(org.eclipse.emf.common.util.URI, java.util.Map)`

### exists

public boolean exists(URI uri, Map<?,?> options)

Specified by:
  `exists` in interface `URIConverter`
Overrides:
  `exists` in class `ExtensibleURIConverterImpl`
See Also:
  - `URIConverter.exists(org.eclipse.emf.common.util.URI, java.util.Map)`

### getAttributes

public Map<String,?> getAttributes(URI uri, Map<?,?> options)

Specified by:
  `getAttributes` in interface `URIConverter`
Overrides:
  `getAttributes` in class `ExtensibleURIConverterImpl`
See Also:
  - `URIConverter.getAttributes(org.eclipse.emf.common.util.URI, java.util.Map)`

### getContentHandlers

public EList<ContentHandler> getContentHandlers()

Specified by:
  `getContentHandlers` in interface `URIConverter`
Overrides:
  `getContentHandlers` in class `ExtensibleURIConverterImpl`
See Also:
  - `URIConverter.getContentHandlers()`

### getURIHandler

public URIHandler getURIHandler(URI uri)

Specified by:
  `getURIHandler` in interface `URIConverter`
Overrides:
  `getURIHandler` in class `ExtensibleURIConverterImpl`
See Also:
  - `URIConverter.getURIHandler(org.eclipse.emf.common.util.URI)`

### getURIHandlers

public EList<URIHandler> getURIHandlers()

Specified by:
  `getURIHandlers` in interface `URIConverter`
Overrides:
  `getURIHandlers` in class `ExtensibleURIConverterImpl`
See Also:
  - `URIConverter.getURIHandlers()`

### getURIMap

public Map<URI,URI> getURIMap()

Specified by:
  `getURIMap` in interface `URIConverter`
Overrides:
  `getURIMap` in class `ExtensibleURIConverterImpl`
See Also:
  - `URIConverter.getURIMap()`

### normalize

public URI normalize(URI uri)

Specified by:
  `normalize` in interface `URIConverter`
Overrides:
  `normalize` in class `ExtensibleURIConverterImpl`
See Also:
  - `URIConverter.normalize(org.eclipse.emf.common.util.URI)`

### setAttributes

public void setAttributes(URI uri, Map<String,?> attributes, Map<?,?> options) throws IOException

Specified by:
  `setAttributes` in interface `URIConverter`
Overrides:
  `setAttributes` in class `ExtensibleURIConverterImpl`
Throws:
  `IOException`
See Also:
  - `URIConverter.setAttributes(org.eclipse.emf.common.util.URI, java.util.Map, java.util.Map)`